<?php

namespace FiloBlu\Kpi\Cron;

use FiloBlu\Kpi\Model\AddkpidataFactory;
use Psr\Log\LoggerInterface;

/**
 * Class Addkpidata
 * @package FiloBlu\Kpi\Cron
 */
class Addkpidata
{
    /**
     * @var LoggerInterface
     */
    protected $logger;
    /**
     * @var AddkpidataFactory
     */
    protected $kpiAddkpidataFactory;

    /**
     * Addkpidata constructor.
     * @param LoggerInterface $logger
     * @param AddkpidataFactory $kpiAddkpidataFactory
     */
    public function __construct(
        LoggerInterface $logger,
        AddkpidataFactory $kpiAddkpidataFactory
    )
    {
        $this->logger = $logger;
        $this->kpiAddkpidataFactory = $kpiAddkpidataFactory;
    }

    /**
     *
     */
    public function execute()
    {
        $this->logger->addInfo("Executing Cronjob Addkpidata is executed.");
        $this->kpiAddkpidataFactory->create()->addData();
        $this->logger->addInfo("Cronjob Addkpidata is executed.");
    }
}