<?php

namespace FiloBlu\Kpi\Cron;

/**
 * Class Createviews
 * @package FiloBlu\Kpi\Cron
 */
class Createviews
{
    /**
     * @var \Psr\Log\LoggerInterface
     */
    protected $logger;
    /**
     * @var \FiloBlu\Kpi\Model\CreateviewsFactory
     */
    protected $kpiCreateviewsFactory;

    /**
     * Createviews constructor.
     * @param \Psr\Log\LoggerInterface $logger
     * @param \FiloBlu\Kpi\Model\CreateviewsFactory $kpiCreateviewsFactory
     */
    public function __construct(
        \Psr\Log\LoggerInterface $logger,
        \FiloBlu\Kpi\Model\CreateviewsFactory $kpiCreateviewsFactory
    )
    {
        $this->logger = $logger;
        $this->kpiCreateviewsFactory = $kpiCreateviewsFactory;
    }

    /**
     *
     */
    public function execute()
    {
        $this->logger->addInfo("Executing Cronjob Createviews is executed.");
        $this->kpiCreateviewsFactory->create()->createViews();
        $this->logger->addInfo("Cronjob Createviews is executed.");
    }
}